# std::auto_ptr_ref< Type1 > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Type1>
struct std::auto_ptr_ref< Type1 >

A wrapper class to provide auto_ptr with reference semantics. For example, an auto_ptr can be assigned (or constructed from) the result of a function which returns an auto_ptr by value.

All the auto_ptr_ref stuff should happen behind the scenes.

Definition at line 132 of file memory.

The documentation for this struct was generated from the following file:

- memory